## org.apache.fop.layout.inline
Class WordArea

    java.lang.Object
      |
      +--org.apache.fop.layout.Box
            |
            +--org.apache.fop.layout.Area
                  |
                  +--org.apache.fop.layout.inline.InlineArea
                        |
                        +--org.apache.fop.layout.inline.WordArea

Direct Known Subclasses:
  PageNumberInlineArea

public class WordArea
extends InlineArea

Field Summary
`protected boolean` `lineThrough`
`protected boolean` `overlined`
`protected boolean` `underlined`

Fields inherited from class org.apache.fop.layout.inline.InlineArea
`height, lineThrough, overlined, pageNumberId, underlined`

Fields inherited from class org.apache.fop.layout.Area

`allocationWidth, backgroundColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderStyleBottom, borderStyleLeft, borderStyleRight, borderStyleTop, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, children, contentRectangleWidth, currentHeight, foCreator, fontState, maxHeight, paddingBottom, paddingLeft, paddingRight, paddingTop, page, tableCellXOffset`

Fields inherited from class org.apache.fop.layout.Box
`areaTree, parent`

Constructor Summary
`WordArea(FontState fontState, float red, float green, float blue, java.lang.String text, int width)`

Method Summary
`java.lang.String` `getText()`
`boolean` `getUnderlined()`
`void` `render(Renderer renderer)`
`void` `setUnderlined(boolean ul)`

Methods inherited from class org.apache.fop.layout.inline.InlineArea
`getBlue, getGreen, getHeight, getLineThrough, getOverlined, getPageNumberID, getRed, getVerticalAlign, getYOffset, setHeight, setLineThrough, setOverlined, setVerticalAlign, setYOffset`

Methods inherited from class org.apache.fop.layout.Area

`addChild, addChildAtStart, addDisplaySpace, end, getAbsoluteHeight, getAllocationWidth, getBackgroundColor, getChildren, getContentHeight, getContentWidth, getfoCreator, getFontInfo, getFontState, getIDReferences, getMaxHeight, getNearestAncestorAreaContainer, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPage, getParent, getTableCellXOffset, increaseAbsoluteHeight, increaseHeight, remove, removeChild, removeChild, setAbsoluteHeight, setAllocationWidth, setBackgroundColor, setBorderColor, setBorderStyle, setBorderWidth, setIDReferences, setMaxHeight, setPadding, setPage, setParent, setTableCellXOffset, spaceLeft, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### underlined

    protected boolean underlined

### overlined

    protected boolean overlined

### lineThrough

    protected boolean lineThrough

Constructor Detail

### WordArea

    public WordArea(FontState fontState,
                    float red,
                    float green,
                    float blue,
                    java.lang.String text,
                    int width)

Method Detail

### render

    public void render(Renderer renderer)

  Overrides:
    render in class Box

### getText

    public java.lang.String getText()

### setUnderlined

    public void setUnderlined(boolean ul)

  Overrides:
    setUnderlined in class InlineArea

### getUnderlined

    public boolean getUnderlined()

  Overrides:
    getUnderlined in class InlineArea

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.